# $Revision: 1.222.2.4 $, $Date: 2006/08/23 04:42:52 $
#
# Conditional build:
%bcond_without	fpx		# without FlashPIX module (which uses fpx library)
%bcond_without	graphviz	# without Graphviz support
%bcond_with	gs		# with PostScript support through ghostscript library (warning: breaks jpeg!)
%bcond_without	jasper		# without JPEG2000 module (which uses jasper library)
%bcond_without	wmf		# without WMF module (which uses libwmf library)
%bcond_without	cxx		# without Magick++
#
%include	/usr/lib/rpm/macros.perl
%define		ver 6.2.9
%define		pver	1
%define		QuantumDepth	16
Summary:	Image display, conversion, and manipulation under X
Summary(de):	Darstellen, Konvertieren und Bearbeiten von Grafiken unter X
Summary(es):	Exhibidor, convertidor y manipulador de imgenes bajo X
Summary(fr):	Visualisation, conversion, et manipulation d'images sous X
Summary(pl):	Narzdzie do wywietlania, konwersji i manipulacji grafikami
Summary(pt_BR):	Exibidor, conversor e manipulador de imagens sob X
Summary(ru):	, ,    X Window
Summary(tr):	X altnda resim gsterme, evirme ve deiiklik yapma
Summary(uk):	,     Ц X Window
Name:		ImageMagick
Version:	%{ver}%{?pver:.%{pver}}
Release:	2
Epoch:		1
License:	Apache-like
Group:		X11/Applications/Graphics
Source0:	http://www.imagemagick.org/download/%{name}-%{ver}-%{pver}.tar.bz2
# Source0-md5:	44cdd1e43b91c0def38edf4a0b8a01ed
#Source0:	http://dl.sourceforge.net/imagemagick/%{name}-%{ver}.tar.bz2
Patch0:		%{name}-libpath.patch
Patch1:		%{name}-ac.patch
Patch2:		%{name}-system-libltdl.patch
Patch3:		%{name}-link.patch
URL:		http://www.imagemagick.org/
BuildRequires:	XFree86-DPS-devel
BuildRequires:	XFree86-devel
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	bzip2-devel >= 1.0.1
BuildRequires:	expat-devel >= 1.95.7
BuildRequires:	freetype-devel >= 2.0.2-2
BuildRequires:	gd-devel >= 2.0.15
%{?with_gs:BuildRequires:	ghostscript-devel}
%{?with_graphviz:BuildRequires:	graphviz-devel >= 2.6}
%{?with_jasper:BuildRequires:	jasper-devel >= 1.700.5}
BuildRequires:	jbigkit-devel
BuildRequires:	lcms-devel
%{?with_fpx:BuildRequires:	libfpx-devel >= 1.2.0.4-3}
BuildRequires:	libjpeg-devel
BuildRequires:	libltdl-devel
BuildRequires:	libpng-devel >= 1.0.8
BuildRequires:	libstdc++-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool >= 2:1.5
%{?with_wmf:BuildRequires:	libwmf-devel >= 2:0.2.2}
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
# only checked for, but only supplied scripts/txt2html is used
#BuildRequires:	txt2html
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Obsoletes:	ImageMagick-coder-mpeg
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# we don't want "-s" here, because it would be added to `Magick*-config --ldflags`
%define		rpmldflags	%{nil}
%define		modulesdir	%{_libdir}/ImageMagick-%{ver}/modules-Q%{QuantumDepth}

%description
ImageMagick is an image display, conversion, and manipulation tool. It
runs under X Window. It is very powerful in terms of it's ability to
allow the user to edit images. It can handle many different formats as
well.

%description -l de
ImageMagick ist ein Tool zur Bildanzeige, -konvertierung und
manipulation, -das unter X-Window luft. Es ist enorm leitungsfhig in
Bezug auf die Grafikmanipulationsfunktionen, die es dem Anwender
bietet, und auf die Vielfalt der untersttzten Formate.

%description -l es
ImageMagick es una herramienta para manipular, convertir y exhibir
imgenes, que funciona bajo X Window. Es una herramienta potente que
permite editar imgenes, pudiendo manipular varios formatos
diferentes.

%description -l fr
ImageMagick est un outil d'affichage, de conversion et de manipulation
d'images. Il tourne sous X Window et est trs puissant en termes de
capacit d'dition des images. Il peut aussi grer de nombreux formats
diffrents.

%description -l pl
ImageMagick jest narzdziem do manipulacji, konwersji i wywietlania.
W skad pakietu wchodz zarwno narzdzia X Window jak i do uywania z
linii polece umoliwiajce edycj plikw graficznych. Narzdzia z
pakietu ImageMagick potrafi obsuy wiele rnych formatw
graficznych.

%description -l pt_BR
ImageMagick  uma ferramenta para manipular, converter e exibir
imagens, que funciona sob o X Window.  uma ferramenta poderosa que
permite editar imagens, podendo tratar vrios formatos diferentes.

%description -l ru
ImageMagick -    ,   
.    X Window. ImageMagick 
       
 .

%description -l tr
ImageMagick bir resim gsterme, evirme ve deiiklik yapma
programdr. X Window pencereleme sistemi altnda alr. Kullancya
resimler zerinde deiiklik yapma asndan pek ok olanak sunar. Bir
ok resim biimini rahatlkla kullanabilir.

%description -l uk
ImageMagick -  ̦  ,   
.   Ц X Window. ImageMagick  
˦ Ԧ  æ   ҦΦ .

%package doc
Summary:	ImageMagick documentation
Summary(pl):	Dokumentacja do ImageMagick
Group:		Documentation

%description doc
Documentation for ImageMagick.

%description doc -l pl
Dokumentacja do ImageMagick.

%package libs
Summary:	ImageMagick libraries
Summary(pl):	Biblioteki ImageMagick
Summary(pt_BR):	Bibliotecas dinmicas do ImageMagick
Group:		X11/Libraries

%description libs
ImageMagick libraries.

%description libs -l pl
Biblioteki ImageMagick.

%description libs -l pt_BR
Bibliotecas dinmicas do ImageMagick.

%package devel
Summary:	Libraries and header files for ImageMagick development
Summary(es):	Biblioteca esttica y archivos de inclusin para desarrollo con libMagick
Summary(pl):	Biblioteki i pliki nagwkowe dla ImageMagick
Summary(pt_BR):	Biblioteca e arquivos de incluso para desenvolvimento com libMagick
Summary(ru):	      ImageMagick
Summary(uk):	  ¦̦    ImageMagick
Group:		X11/Development/Libraries
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Requires:	XFree86-devel
Requires:	bzip2-devel
Requires:	freetype-devel
Requires:	lcms-devel
Requires:	libjpeg-devel
Requires:	libltdl-devel
Requires:	libtiff-devel
Requires:	zlib-devel

%description devel
This is the ImageMagick development package. It includes header files
for use in developing your own applications that make use of the
ImageMagick code and/or APIs.

%description devel -l de
Dies ist das ImageMagick-Entwicklerpaket. Es enthlt Header-Dateien
zum Entwickeln von Anwendungen, die ImageMagick-Code und/oder -APIs
nutzen.

%description devel -l es
Este es el paquete de desarrollo ImageMagick. Incluye las bibliotecas
y los archivos de inclusin para el desarrollo de sus propias
aplicaciones que hacen uso del cdigo ImageMagick y/el APIs.

%description devel -l fr
Paquetage de dveloppement ImageMagick. Contient les bibliothques
statiques et les en-ttes utiliss pour crer vos propres applications
utilisant le code d'ImageMagick et/ou ses APIs.

%description devel -l pl
Pakiet ten zawieraja pliki potrzebne przy kompilowaniu programw
wykorzystujcych blibliotek ImageMagick takie jak pliki nagwkowe i
dokumentacj niezbdn przy pisaniu wasnych programw z
wykorzystaniem API jakie udostpnia ImageMagick.

%description devel -l pt_BR
Este  o pacote de desenvolvimento ImageMagick. Inclui as bibliotecas
e os arquivos de incluso para o desenvolvimento de suas prprias
aplicaes que fazem uso do cdigo ImageMagick e/ou APIs.

%description devel -l ru
      ImageMagick.  
      ,  
  API ImageMagick.

%description devel -l tr
Bu paket, ImageMagick uygulama arayzn kullanan programlar
gelitirmek iin gereken balk dosyalarn ve kitaplklar ierir.

%description devel -l uk
     ImageMagick.  ͦ  
¦̦    ,     API
ImageMagick.

%package static
Summary:	ImageMagick static libraries
Summary(pl):	Biblioteki statyczne ImageMagick
Summary(pt_BR):	Bibliotecas estticas para desenvolvimento com libMagick
Summary(ru):	     ImageMagick
Summary(uk):	Φ ¦̦    ImageMagick
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
ImageMagick static libraries.

%description static -l pl
Biblioteki statyczne ImageMagick.

%description static -l pt_BR
Bibliotecas estticas para desenvolvimento com libMagick.

%description static -l ru
     ,   
  ImageMagick-devel.

%description static -l uk
   ڦ  ¦̦, ˦ ¦   
 ImageMagick-devel.

%package perl
Summary:	Libraries and modules for access to ImageMagick from Perl
Summary(pl):	Biblioteki i moduy Perla dla ImageMagick
Summary(pt_BR):	Mdulo perl para uso com o ImageMagick
Summary(ru):	      ImageMagick  perl
Summary(uk):	̦  ̦    ImageMagick  Perl
Group:		Development/Languages/Perl
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Requires:	perl-dirs

%description perl
This is the ImageMagick Perl support package. It perl modules and
support files for access to ImageMagick library from perl without
unuseful forking or such.

%description perl -l pl
Biblioteki i moduy umoliwiajce korzystanie z ImageMagick z poziomu
Perla.

%description perl -l pt_BR
Este pacote fornece um mdulo perl para acessar funes do ImageMagick
em scripts Perl.

%description perl -l ru
  ImageMagick   perl.    perl 
      ImageMagick  Perl.

%description perl -l uk
  ImageMagick  Ц Perl.  ͦ ̦ Perl 
צ     ¦̦ ImageMagick  Perl.

%package c++
Summary:	ImageMagick Magick++ library
Summary(pl):	Biblioteka Magick++
Summary(pt_BR):	Bibliotecas dinmicas do ImageMagick
Summary(ru):	 Magick++ (C++   ImageMagick')
Summary(uk):	̦ Magick++ ( C++  ImageMagick)
Group:		X11/Libraries
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}

%description c++
This package contains the Magick++ library, a C++ binding to the
ImageMagick graphics manipulation library.

Install ImageMagick-c++ if you want to use any applications that use
Magick++.

%description c++ -l pl
Pakiet zawiera bibliotek Magick++ - interfejs w C++ do biblioteki
ImageMagick. Jest potrzebny do uruchamiania programw korzystajcych z
Magick++.

%description c++ -l pt_BR
Bibliotecas dinmicas C++ do ImageMagick.

%description c++ -l ru
Magick++ -- - ,  
 C++ API  ImageMagick (  ,
   ).

%description c++ -l uk
Magick++ -- '-Ҧ ¦̦,  Ѥ  C++ API 
ImageMagick (¦̦  ,   
).

%package c++-devel
Summary:	C++ bindings for the ImageMagick library
Summary(es):	Biblioteca esttica y archivos de inclusin para desarrollo con libMagick++
Summary(pl):	Pliki nagwkowe z interfejsem C++ do ImageMagick
Summary(pt_BR):	Biblioteca e arquivos de incluso para desenvolvimento com libMagick++
Summary(ru):	       Magick++ (C++   ImageMagick')
Summary(uk):	  ¦̦     Magick++ ( C++  ImageMagick)
Group:		X11/Development/Libraries
Requires:	%{name}-c++ = %{epoch}:%{version}-%{release}
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Requires:	libstdc++-devel

%description c++-devel
ImageMagick-c++-devel contains header files you'll need to develop
ImageMagick applications using the Magick++ C++ bindings. ImageMagick
is an image manipulation program.

If you want to create applications that will use Magick++ code or
APIs, you'll need to install ImageMagick-c++-devel, ImageMagick-devel
and ImageMagick. You don't need to install it if you just want to use
ImageMagick, or if you want to develop/compile applications using the
ImageMagick C interface, however.

%description c++-devel -l es
Este es el paquete de desarrollo ImageMagick. Incluye las bibliotecas
estticas y los archivos de inclusin para el desarrollo de sus
propias aplicaciones que hacen uso del cdigo ImageMagick y/el APIs.

%description c++-devel -l pl
Pakiet zawiera pliki nagwkowe potrzebne do kompilowania programw
korzystajcych z Magick++.

%description c++-devel -l pt_BR
Este  o pacote de desenvolvimento libMagick++. Inclui as bibliotecas
e os arquivos de incluso para o desenvolvimento de suas prprias
aplicaes C++ que fazem uso do cdigo ImageMagick e/ou APIs.

%description c++-devel -l ru
      ImageMagick.  
      ,  
  API Magick++ (C++   ImageMagick').

%description c++-devel -l uk
     ImageMagick.  ͦ  
¦̦    ,     API
Magick++ ( C++  ImageMagick).

%package c++-static
Summary:	C++ bindings for the ImageMagick - static library
Summary(pl):	Interfejs C++ do ImageMagick - biblioteka statyczna
Summary(pt_BR):	Bibliotecas estticas para desenvolvimento com libMagick
Summary(ru):	  C++    ImageMagick
Summary(uk):	Φ ¦̦ C++    ImageMagick
Group:		X11/Development/Libraries
Requires:	%{name}-c++-devel = %{epoch}:%{version}-%{release}
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description c++-static
C++ bindings for the ImageMagick - static library.

%description c++-static -l pl
Biblioteka Magick++ w wersji statycznej.

%description c++-static -l pt_BR
Bibliotecas estticas para desenvolvimento com libMagick++.

%description c++-static -l ru
     ,   
  ImageMagick-c++-devel.

%description c++-static -l uk
   ڦ  ¦̦, ˦ ¦   
 ImageMagick-c++-devel.

%package coder-dot
Summary:	Coder module for GraphViz DOT files
Summary(pl):	Modu kodera dla plikw GraphViz DOT
Group:		X11/Applications/Graphics
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description coder-dot
Coder module for GraphViz DOT files.

%description coder-dot -l pl
Modu kodera dla plikw GraphViz DOT.

%package coder-dps
Summary:	Coder module for Postscript files using DPS extension
Summary(pl):	Modu kodera dla plikw Postscript uywajcy rozszerzenia DPS
Group:		X11/Applications/Graphics
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description coder-dps
Coder module for Postcript files using DPS (Display PostScript)
extension.

%description coder-dps -l pl
Modu kodera dla plikw Postscript uywajcy rozszerzenia DPS (Display
PostScript).

%package coder-fpx
Summary:	Coder module for FlashPIX (FPX) files
Summary(pl):	Modu kodera dla plikw FlashPIX (FPX)
Group:		X11/Applications/Graphics
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description coder-fpx
Coder module for FlashPIX (FPX) files.

%description coder-fpx -l pl
Modu kodera dla plikw FlashPIX (FPX).

%package coder-jbig
Summary:	Coder module for JBIG files
Summary(pl):	Modu kodera dla plikw JBIG
Group:		X11/Applications/Graphics
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description coder-jbig
Coder module for JBIG files.

%description coder-jbig -l pl
Modu kodera dla plikw JBIG.

%package coder-jpeg
Summary:	Coder module for JPEG files
Summary(pl):	Modu kodera dla plikw JPEG
Group:		X11/Applications/Graphics
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description coder-jpeg
Coder module for JPEG files.

%description coder-jpeg -l pl
Modu kodera dla plikw JPEG.

%package coder-jpeg2
Summary:	Coder module for JPEG-2000 (JP2/JPC) files using JasPer library
Summary(pl):	Modu kodera dla plikw JPEG-2000 (JP2/JPC) uywajcy biblioteki JasPer
Group:		X11/Applications/Graphics
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description coder-jpeg2
Coder module for JPEG-2000 (JP2/JPC) files using JasPer library.

%description coder-jpeg2 -l pl
Modu kodera dla plikw JPEG-2000 (JP2/JPC) uywajacy biblioteki
JasPer.

%package coder-miff
Summary:	Coder module for MIFF files
Summary(pl):	Modu kodera dla plikw MIFF
Group:		X11/Applications/Graphics
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description coder-miff
Coder module for MIFF files.

%description coder-miff -l pl
Modu kodera dla plikw MIFF.

%package coder-mpr
Summary:	Coder module for ImageMagick MPR and MSL files
Summary(pl):	Modu kodera dla plikw MPR i MSL ImageMagick
Group:		X11/Applications/Graphics
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description coder-mpr
Coder module for Magick Persistent Registry (MPR) and Magick Scripting
Language (MSL) files.

%description coder-mpr -l pl
Modu kodera dla plikw Magick Persistent Registry (MPR) i Magick
Scripting Language (MSL).

%package coder-pdf
Summary:	Coder module for PDF files
Summary(pl):	Modu kodera dla plikw PDF
Group:		X11/Applications/Graphics
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description coder-pdf
Coder module for PDF files.

%description coder-pdf -l pl
Modu kodera dla plikw PDF.

%package coder-png
Summary:	Coder module for PNG files
Summary(pl):	Modul kodera dla plikw PNG
Group:		X11/Applications/Graphics
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description coder-png
Coder module for PNG files.

%description coder-png -l pl
Modu kodera dla plikw PNG.

%package coder-ps2
Summary:	Coder module for Postscript Level II & III (PS2/PS3) files
Summary(pl):	Modu kodera dla plikw Postscript Level II i III (PS2/PS3)
Group:		X11/Applications/Graphics
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description coder-ps2
Coder module for Postscript Level II & III (PS2/PS3) files.

%description coder-ps2 -l pl
Modu kodera dla plikw Postscript Level II i III (PS2/PS3).

%package coder-svg
Summary:	Coder module for SVG (Scalable Vector Graphics) files
Summary(pl):	Modu kodera dla plikw SVG (Scalable Vector Graphics)
Group:		X11/Applications/Graphics
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description coder-svg
Coder module for SVG (Scalable Vector Graphics) files.

%description coder-svg -l pl
Modu kodera dla plikw SVG (Scalable Vector Graphics).

%package coder-tiff
Summary:	Coder module for TIFF files
Summary(pl):	Modu kodera dla plikw TIFF
Group:		X11/Applications/Graphics
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description coder-tiff
Coder module for TIFF files.

%description coder-tiff -l pl
Modu kodera dla plikw TIFF.

%package coder-url
Summary:	Coder module for retrieving files via URL
Summary(pl):	Modu kodera cigajcy pliki o podanym URL
Group:		X11/Applications/Graphics
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description coder-url
Coder module for retrieving files via URL.

%description coder-url -l pl
Modu kodera cigajcy pliki o podanym URL.

%package coder-wmf
Summary:	Coder module for WMF files
Summary(pl):	Modu kodera dla plikw WMF
Group:		X11/Applications/Graphics
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description coder-wmf
Coder module for WMF files.

%description coder-wmf -l pl
Modu kodera dla plikw WMF.

%prep
%setup -q -n %{name}-%{ver}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%{__perl} -pi -e 's,lib/graphviz,%{_lib}/graphviz,' configure.ac
find -type f -exec perl -pi -e 's=!/usr/local/bin/perl=!/usr/bin/perl='  {} \;

# avoid rebuilding (broken paths in scripts/Makefile.am)
touch www/Magick++/NEWS.html www/Magick++/ChangeLog.html

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-fast-install \
	--enable-lzw \
	--enable-shared \
	--disable-ltdl-install \
	--with%{!?with_graphviz:out}-dot \
	--with%{!?with_fpx:out}-fpx \
	--with%{!?with_gs:out}-gslib \
	--with%{!?with_jasper:out}-jp2 \
	--with%{!?with_cxx:out}-magick_plus_plus \
	--with%{!?with_wmf:out}-wmf \
	--with-gs-font-dir=%{_fontsdir}/Type1 \
	--with-modules \
	--with-perl=%{__perl} \
	--with-perl-options="INSTALLDIRS=vendor" \
	--with-quantum-depth=%{QuantumDepth} \
	--with-threads \
	--with-ttf \
	--with-x

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-perl

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgdocdir=%{_defaultdocdir}/%{name}-devel-%{version}

install PerlMagick/demo/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-perl
rm -f $RPM_BUILD_ROOT%{modulesdir}/{coders,filters}/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%post   libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%post   c++ -p /sbin/ldconfig
%postun c++ -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%dir %{_libdir}/ImageMagick-%{ver}
%dir %{_libdir}/ImageMagick-%{ver}/config
%{_libdir}/ImageMagick-%{ver}/config/*.xml
%dir %{modulesdir}
%dir %{modulesdir}/coders
%dir %{modulesdir}/filters
%dir %{_datadir}/ImageMagick-%{ver}
%dir %{_datadir}/ImageMagick-%{ver}/config
%{_datadir}/ImageMagick-%{ver}/config/*.xml

# ========= coders without additional deps
%attr(755,root,root) %{modulesdir}/coders/art.so
%{modulesdir}/coders/art.la
%attr(755,root,root) %{modulesdir}/coders/avi.so
%{modulesdir}/coders/avi.la
%attr(755,root,root) %{modulesdir}/coders/avs.so
%{modulesdir}/coders/avs.la
%attr(755,root,root) %{modulesdir}/coders/bmp.so
%{modulesdir}/coders/bmp.la
%attr(755,root,root) %{modulesdir}/coders/caption.so
%{modulesdir}/coders/caption.la
%attr(755,root,root) %{modulesdir}/coders/cin.so
%{modulesdir}/coders/cin.la
%attr(755,root,root) %{modulesdir}/coders/cip.so
%{modulesdir}/coders/cip.la
%attr(755,root,root) %{modulesdir}/coders/clip.so
%{modulesdir}/coders/clip.la
%attr(755,root,root) %{modulesdir}/coders/cmyk.so
%{modulesdir}/coders/cmyk.la
%attr(755,root,root) %{modulesdir}/coders/cut.so
%{modulesdir}/coders/cut.la
%attr(755,root,root) %{modulesdir}/coders/dcm.so
%{modulesdir}/coders/dcm.la
%attr(755,root,root) %{modulesdir}/coders/dib.so
%{modulesdir}/coders/dib.la
%attr(755,root,root) %{modulesdir}/coders/dpx.so
%{modulesdir}/coders/dpx.la
%attr(755,root,root) %{modulesdir}/coders/ept.so
%{modulesdir}/coders/ept.la
%attr(755,root,root) %{modulesdir}/coders/fax.so
%{modulesdir}/coders/fax.la
%attr(755,root,root) %{modulesdir}/coders/fits.so
%{modulesdir}/coders/fits.la
%attr(755,root,root) %{modulesdir}/coders/gif.so
%{modulesdir}/coders/gif.la
%attr(755,root,root) %{modulesdir}/coders/gradient.so
%{modulesdir}/coders/gradient.la
%attr(755,root,root) %{modulesdir}/coders/gray.so
%{modulesdir}/coders/gray.la
%attr(755,root,root) %{modulesdir}/coders/histogram.so
%{modulesdir}/coders/histogram.la
%attr(755,root,root) %{modulesdir}/coders/html.so
%{modulesdir}/coders/html.la
%attr(755,root,root) %{modulesdir}/coders/icon.so
%{modulesdir}/coders/icon.la
%attr(755,root,root) %{modulesdir}/coders/info.so
%{modulesdir}/coders/info.la
%attr(755,root,root) %{modulesdir}/coders/label.so
%{modulesdir}/coders/label.la
%attr(755,root,root) %{modulesdir}/coders/magick.so
%{modulesdir}/coders/magick.la
%attr(755,root,root) %{modulesdir}/coders/map.so
%{modulesdir}/coders/map.la
%attr(755,root,root) %{modulesdir}/coders/mat.so
%{modulesdir}/coders/mat.la
%attr(755,root,root) %{modulesdir}/coders/matte.so
%{modulesdir}/coders/matte.la
%attr(755,root,root) %{modulesdir}/coders/meta.so
%{modulesdir}/coders/meta.la
%attr(755,root,root) %{modulesdir}/coders/mono.so
%{modulesdir}/coders/mono.la
%attr(755,root,root) %{modulesdir}/coders/mpc.so
%{modulesdir}/coders/mpc.la
%attr(755,root,root) %{modulesdir}/coders/mpeg.so
%{modulesdir}/coders/mpeg.la
%attr(755,root,root) %{modulesdir}/coders/mtv.so
%{modulesdir}/coders/mtv.la
%attr(755,root,root) %{modulesdir}/coders/mvg.so
%{modulesdir}/coders/mvg.la
%attr(755,root,root) %{modulesdir}/coders/null.so
%{modulesdir}/coders/null.la
%attr(755,root,root) %{modulesdir}/coders/otb.so
%{modulesdir}/coders/otb.la
%attr(755,root,root) %{modulesdir}/coders/palm.so
%{modulesdir}/coders/palm.la
%attr(755,root,root) %{modulesdir}/coders/pattern.so
%{modulesdir}/coders/pattern.la
%attr(755,root,root) %{modulesdir}/coders/pcd.so
%{modulesdir}/coders/pcd.la
%attr(755,root,root) %{modulesdir}/coders/pcl.so
%{modulesdir}/coders/pcl.la
%attr(755,root,root) %{modulesdir}/coders/pcx.so
%{modulesdir}/coders/pcx.la
%attr(755,root,root) %{modulesdir}/coders/pdb.so
%{modulesdir}/coders/pdb.la
%attr(755,root,root) %{modulesdir}/coders/pict.so
%{modulesdir}/coders/pict.la
%attr(755,root,root) %{modulesdir}/coders/pix.so
%{modulesdir}/coders/pix.la
%attr(755,root,root) %{modulesdir}/coders/plasma.so
%{modulesdir}/coders/plasma.la
%attr(755,root,root) %{modulesdir}/coders/pnm.so
%{modulesdir}/coders/pnm.la
%attr(755,root,root) %{modulesdir}/coders/preview.so
%{modulesdir}/coders/preview.la
%attr(755,root,root) %{modulesdir}/coders/psd.so
%{modulesdir}/coders/psd.la
%attr(755,root,root) %{modulesdir}/coders/ps.so
%{modulesdir}/coders/ps.la
%attr(755,root,root) %{modulesdir}/coders/pwp.so
%{modulesdir}/coders/pwp.la
%attr(755,root,root) %{modulesdir}/coders/raw.so
%{modulesdir}/coders/raw.la
%attr(755,root,root) %{modulesdir}/coders/rgb.so
%{modulesdir}/coders/rgb.la
%attr(755,root,root) %{modulesdir}/coders/rla.so
%{modulesdir}/coders/rla.la
%attr(755,root,root) %{modulesdir}/coders/rle.so
%{modulesdir}/coders/rle.la
%attr(755,root,root) %{modulesdir}/coders/scr.so
%{modulesdir}/coders/scr.la
%attr(755,root,root) %{modulesdir}/coders/sct.so
%{modulesdir}/coders/sct.la
%attr(755,root,root) %{modulesdir}/coders/sfw.so
%{modulesdir}/coders/sfw.la
%attr(755,root,root) %{modulesdir}/coders/sgi.so
%{modulesdir}/coders/sgi.la
%attr(755,root,root) %{modulesdir}/coders/stegano.so
%{modulesdir}/coders/stegano.la
%attr(755,root,root) %{modulesdir}/coders/sun.so
%{modulesdir}/coders/sun.la
%attr(755,root,root) %{modulesdir}/coders/tga.so
%{modulesdir}/coders/tga.la
%attr(755,root,root) %{modulesdir}/coders/tile.so
%{modulesdir}/coders/tile.la
%attr(755,root,root) %{modulesdir}/coders/tim.so
%{modulesdir}/coders/tim.la
%attr(755,root,root) %{modulesdir}/coders/ttf.so
%{modulesdir}/coders/ttf.la
%attr(755,root,root) %{modulesdir}/coders/txt.so
%{modulesdir}/coders/txt.la
%attr(755,root,root) %{modulesdir}/coders/uil.so
%{modulesdir}/coders/uil.la
%attr(755,root,root) %{modulesdir}/coders/uyvy.so
%{modulesdir}/coders/uyvy.la
%attr(755,root,root) %{modulesdir}/coders/vicar.so
%{modulesdir}/coders/vicar.la
%attr(755,root,root) %{modulesdir}/coders/vid.so
%{modulesdir}/coders/vid.la
%attr(755,root,root) %{modulesdir}/coders/viff.so
%{modulesdir}/coders/viff.la
%attr(755,root,root) %{modulesdir}/coders/wbmp.so
%{modulesdir}/coders/wbmp.la
%attr(755,root,root) %{modulesdir}/coders/wpg.so
%{modulesdir}/coders/wpg.la
%attr(755,root,root) %{modulesdir}/coders/xbm.so
%{modulesdir}/coders/xbm.la
%attr(755,root,root) %{modulesdir}/coders/xcf.so
%{modulesdir}/coders/xcf.la
%attr(755,root,root) %{modulesdir}/coders/xc.so
%{modulesdir}/coders/xc.la
%attr(755,root,root) %{modulesdir}/coders/xpm.so
%{modulesdir}/coders/xpm.la
%attr(755,root,root) %{modulesdir}/coders/x.so
%{modulesdir}/coders/x.la
%attr(755,root,root) %{modulesdir}/coders/xwd.so
%{modulesdir}/coders/xwd.la
%attr(755,root,root) %{modulesdir}/coders/ycbcr.so
%{modulesdir}/coders/ycbcr.la
%attr(755,root,root) %{modulesdir}/coders/yuv.so
%{modulesdir}/coders/yuv.la

%attr(755,root,root) %{modulesdir}/filters/analyze.so
%{modulesdir}/filters/analyze.la

%attr(755,root,root) %{_bindir}/animate
%attr(755,root,root) %{_bindir}/compare
%attr(755,root,root) %{_bindir}/composite
%attr(755,root,root) %{_bindir}/convert
%attr(755,root,root) %{_bindir}/conjure
%attr(755,root,root) %{_bindir}/display
%attr(755,root,root) %{_bindir}/identify
%attr(755,root,root) %{_bindir}/import
%attr(755,root,root) %{_bindir}/mogrify
%attr(755,root,root) %{_bindir}/montage

%{_mandir}/man1/[Iacdim]*

%files doc
%defattr(644,root,root,755)
%doc www

%files libs
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog LICENSE NEWS
%attr(755,root,root) %{_libdir}/libMagick.so.*.*.*
%attr(755,root,root) %{_libdir}/libWand.so.*.*.*

%files coder-dot
%defattr(644,root,root,755)
# R: graphviz, gd
%attr(755,root,root) %{modulesdir}/coders/dot.so
%{modulesdir}/coders/dot.la

%files coder-dps
%defattr(644,root,root,755)
# R: XFree86-DPS (libdps.so)
%attr(755,root,root) %{modulesdir}/coders/dps.so
%{modulesdir}/coders/dps.la

%if %{with fpx}
%files coder-fpx
%defattr(644,root,root,755)
# R: fpx
%attr(755,root,root) %{modulesdir}/coders/fpx.so
%{modulesdir}/coders/fpx.la
%endif

%files coder-jbig
%defattr(644,root,root,755)
# R: jbigkit (libjbig.so)
%attr(755,root,root) %{modulesdir}/coders/jbig.so
%{modulesdir}/coders/jbig.la

%files coder-jpeg
%defattr(644,root,root,755)
# R: libjpeg
%attr(755,root,root) %{modulesdir}/coders/jpeg.so
%{modulesdir}/coders/jpeg.la

%if %{with jasper}
%files coder-jpeg2
%defattr(644,root,root,755)
# R: jasper, libjpeg
%attr(755,root,root) %{modulesdir}/coders/jp2.so
%{modulesdir}/coders/jp2.la
%endif

%files coder-miff
%defattr(644,root,root,755)
# R: libjpeg, zlib, libbz2
%attr(755,root,root) %{modulesdir}/coders/miff.so
%{modulesdir}/coders/miff.la

%files coder-mpr
%defattr(644,root,root,755)
# R: libxml2
%attr(755,root,root) %{modulesdir}/coders/mpr.so
%{modulesdir}/coders/mpr.la
%attr(755,root,root) %{modulesdir}/coders/msl.so
%{modulesdir}/coders/msl.la

%files coder-pdf
%defattr(644,root,root,755)
# R: libtiff, libjpeg
%attr(755,root,root) %{modulesdir}/coders/pdf.so
%{modulesdir}/coders/pdf.la

%files coder-png
%defattr(644,root,root,755)
# R: libpng
%attr(755,root,root) %{modulesdir}/coders/png.so
%{modulesdir}/coders/png.la

%files coder-ps2
%defattr(644,root,root,755)
# R: libtiff, libjpeg
%attr(755,root,root) %{modulesdir}/coders/ps2.so
%{modulesdir}/coders/ps2.la
%attr(755,root,root) %{modulesdir}/coders/ps3.so
%{modulesdir}/coders/ps3.la

%files coder-svg
%defattr(644,root,root,755)
# R: libxml2
%attr(755,root,root) %{modulesdir}/coders/svg.so
%{modulesdir}/coders/svg.la

%files coder-tiff
%defattr(644,root,root,755)
# R: libtiff, libjpeg
%attr(755,root,root) %{modulesdir}/coders/tiff.so
%{modulesdir}/coders/tiff.la

%files coder-url
%defattr(644,root,root,755)
# R: libxml2
%attr(755,root,root) %{modulesdir}/coders/url.so
%{modulesdir}/coders/url.la

%if %{with wmf}
%files coder-wmf
%defattr(644,root,root,755)
# R: libwmf, expat, libjpeg, libpng
%attr(755,root,root) %{modulesdir}/coders/wmf.so
%{modulesdir}/coders/wmf.la
%endif

%files devel
%defattr(644,root,root,755)
%doc %{_defaultdocdir}/%{name}-devel-%{version}
%attr(755,root,root) %{_bindir}/Magick-config
%attr(755,root,root) %{_bindir}/Wand-config
%attr(755,root,root) %{_libdir}/libMagick.so
%attr(755,root,root) %{_libdir}/libWand.so
%{_libdir}/libMagick.la
%{_libdir}/libWand.la
%{_includedir}/magick
%{_includedir}/wand
%{_pkgconfigdir}/ImageMagick.pc
%{_pkgconfigdir}/Wand.pc
%{_mandir}/man1/Magick-config.1*
%{_mandir}/man1/Wand-config.1*

%files static
%defattr(644,root,root,755)
%{_libdir}/libMagick.a
%{_libdir}/libWand.a

%files perl
%defattr(644,root,root,755)
%{perl_vendorarch}/Image/*
%dir %{perl_vendorarch}/auto/Image/Magick
%{perl_vendorarch}/auto/Image/Magick/autosplit.ix
%{perl_vendorarch}/auto/Image/Magick/Magick.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Image/Magick/Magick.so
%{_mandir}/man3/Image::Magick.*
%{_examplesdir}/%{name}-perl

%if %{with cxx}
%files c++
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libMagick++.so.*.*.*

%files c++-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/Magick++-config
%{_libdir}/libMagick++.la
%attr(755,root,root) %{_libdir}/libMagick++.so
%{_includedir}/Magick++
%{_includedir}/Magick++.h
%{_pkgconfigdir}/ImageMagick++.pc
%{_mandir}/man1/Magick++-config.1*

%files c++-static
%defattr(644,root,root,755)
%{_libdir}/libMagick++.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ImageMagick.spec,v $
Revision 1.222.2.4  2006/08/23 04:42:52  glen
- rel 2: %{perl_vendorarch}/Image and %{perl_vendorarch}/auto/Image provided by perl-dirs

Revision 1.222.2.3  2006/08/21 09:08:03  havner
- 6.2.9-1 (http://securitytracker.com/id?1016699)

Revision 1.222.2.2  2006/04/05 08:21:43  hawk
- updated to 6.2.6-8
- added wmf bcond

Revision 1.222.2.1  2006/02/20 07:56:05  arekm
- up to 6.2.5.5

Revision 1.222  2005/11/27 12:54:50  arekm
- rel 2; rebuild with new jasper

Revision 1.221  2005/11/02 19:15:41  arekm
- up to 6.2.5.4

Revision 1.220  2005/10/24 13:20:03  arekm
- up to 6.2.5.3

Revision 1.219  2005/10/17 19:27:58  arekm
- up to 6.2.5.2

Revision 1.218  2005/10/05 17:26:03  blues
- removed *FLAGS - error was in another place

Revision 1.217  2005/10/03 16:58:23  qboosh
- it expects graphviz >= 2.6

Revision 1.216  2005/10/03 15:26:07  qboosh
- don't disable optimizations
- package info coder (in base - no additional deps)

Revision 1.215  2005/09/28 19:07:14  blues
- release 1 - removed outdated dot patch, seems to be working fine

Revision 1.214  2005/09/28 15:27:46  blues
- started upgrade to 6.2.4-6, allow full build on amd64, NFY

Revision 1.213  2005/08/17 08:54:26  blekot
- rel up to rebuild with graphviz-2.2.1
- STBR

Revision 1.212  2005/06/20 17:40:43  saq
- up to 6.2.3-2

Revision 1.211  2005/05/21 16:08:00  glen
- TODO security

Revision 1.210  2005/04/11 11:46:24  paszczus
- reverted. XFree86 is back.

Revision 1.209  2005/04/11 11:38:23  paszczus
- typo

Revision 1.208  2005/04/11 11:36:53  paszczus
- s/XFree86/X11/g

Revision 1.207  2005/04/11 11:32:20  paszczus
- updated to 6.2.1-2

Revision 1.206  2005/04/02 18:55:25  adgor
- Added wo graphviz bcond

Revision 1.205  2005/03/27 23:20:19  qboosh
- updated to 6.2.1-0
- added dot patch (fixes dot coder linking)

Revision 1.204  2005/03/04 22:28:18  radzio
- update to version 6.2.0-4
- this version resolves security problem (for details see
  http://www.k-otik.com/english/advisories/2005/0227)

Revision 1.203  2005/02/02 21:08:43  adgor
- Removed fpx.c.patch

Revision 1.202  2005/02/01 21:35:37  hawk
- updated to 6.1.9-4

Revision 1.201  2005/01/24 12:27:32  qboosh
- added free patch (don't try to free argv in display/DisplayImageCommand())

Revision 1.200  2005/01/24 09:50:57  qboosh
- try to avoid www/Magick++/*.html regeneration (weird timestamps?)

Revision 1.199  2005/01/19 00:45:22  radzio
- update to 6.1.8-9 to address CAN-2005-0005
- add patch3 to fix errors in build process (see commitlog for this patch)
- STBR for test

Revision 1.198  2005/01/13 22:03:49  hawk
- updated to 6.1.8-5

Revision 1.197  2005/01/07 13:36:43  hawk
- updated to 6.1.8-0

Revision 1.196  2005/01/06 20:47:16  qboosh
- 6.1.7-5 no longer exists on given site, so point up: 6.1.7-6

Revision 1.195  2005/01/06 08:24:44  hawk
- updated to 6.1.7-5

Revision 1.194  2004/12/25 18:04:56  qboosh
- automake epoch

Revision 1.193  2004/11/27 19:21:07  saq
- massive attack: more BR epoch fixes

Revision 1.192  2004/11/14 16:29:42  hawk
- updated to 6.1.4-1

Revision 1.191  2004/10/16 22:35:55  qboosh
- package www docs as resurrected -doc subpackage
- License format unification

Revision 1.190  2004/10/16 20:42:45  hawk
- updated to 6.1.1-2

Revision 1.189  2004/10/13 19:38:11  hawk
- libpath and system-libltdl are back, thx to qboosh

Revision 1.188  2004/10/13 18:39:41  hawk
- oh well, 6.1.0-9

Revision 1.187  2004/10/13 18:10:33  hawk
- updated to 6.1.0-8
- libpath and system-libltdl patches seems to be obsolete now
- user guide is no longer included in package, doc subpackage removed
- builds but not tested

Revision 1.186  2004/10/12 01:42:31  adasi
 - Never abuse word 'freeware'.
 - It's apache-style, GPL-compatible license

Revision 1.185  2004/09/05 19:28:43  hawk
- updated to 6.0.7-1

Revision 1.184  2004/08/30 11:26:44  hawk
- updated to 6.0.6-2

Revision 1.183  2004/08/28 10:35:41  undefine
- R: (for ImageMagick-deve)
[undefine@sv1 undefine]$ Magick-config --libs
-lMagick -llcms -ltiff -lfreetype -ljpeg -lXext -lSM -lICE -lX11 -lXt -lbz2 -lz -lpthread -lm -lpthread

Revision 1.182  2004/08/27 21:08:19  ankry
- rel. 2

Revision 1.181  2004/08/23 09:35:55  hawk
- updated to 6.0.5-3

Revision 1.180  2004/08/19 21:03:50  hawk
- updated to 6.0.5-2, new coder: ycbcr
- created doc subpackage with user guide, moved %doc

Revision 1.179  2004/07/29 18:17:06  hawk
- updated to 6.0.4-1

Revision 1.178  2004/07/19 09:58:18  qboosh
- removed libplot-devel BR (was required only by libwmf-devel from Ra)

Revision 1.177  2004/07/05 12:49:13  hawk
- updated to 6.0.3-1

Revision 1.176  2004/06/29 16:34:37  hawk
- updated to 6.0.2-7

Revision 1.175  2004/06/16 15:00:22  qboosh
- one BR libltdl-devel is enough

Revision 1.174  2004/06/15 20:59:34  hawk
- updated to 6.0.2-6

Revision 1.173  2004/06/13 22:05:23  wrobell
- libltdl-devel is required to build

Revision 1.172  2004/06/07 22:04:54  ankry
- dl.sourceforge.net broken again ?

Revision 1.171  2004/06/07 21:34:55  hawk
- something ate revision info: restored

Revision 1.170  2004/06/07 21:20:08  hawk
- updated to 6.0.2-1
- perl subpackage requires config files from base package
- added BR: expat-devel is needed to build dib and wmf coders
- added BR: gd-devel is needed to build dot coder

Revision 1.169  2004/06/02 20:28:51  qboosh
- added cip,raw coders

Revision 1.168  2004/06/02 20:21:01  qboosh
- updated to 6.0.1-4, updated deps (libexif no longer used since 6.0.0)

Revision 1.167  2004/05/26 22:47:14  ankry
- capitalized

Revision 1.166  2004/05/09 05:22:00  ankry
- BR fixes, rel. 2

Revision 1.165  2004/04/25 12:20:20  qboosh
- updated to 6.0.0-2, removed obsolete magickpp-version patch
- strict internal deps, separated new dot coder (uses graphviz libs)

Revision 1.164  2004/04/12 22:33:15  pbern
- add BR: txt2html

Revision 1.163  2004/02/27 19:25:16  pluto
- spaces -> tabs.

Revision 1.162  2004/01/26 09:14:23  wiget
- updated to 5.5.7-15

Revision 1.161  2004/01/11 23:12:05  undefine
- release 2 to rebuild with new jasper, BR: jasper >= 1.700.5

Revision 1.160  2003/11/06 08:41:08  wiget
- up to 5.5.7.12
- new bconds

Revision 1.159  2003/11/06 07:37:56  trojan
- added patch for proper output from 'Magick++-config --version'

Revision 1.158  2003/10/01 09:11:41  wiget
- updated to 5.5.7-11

Revision 1.157  2003/08/20 08:44:49  wiget
- distfiles workaround

Revision 1.156  2003/08/17 21:22:22  aflinta
- updated md5sum

Revision 1.155  2003/08/02 09:28:03  gotar
- fixed X Window System spelling

Revision 1.154  2003/07/18 21:51:12  wiget
- BR new jasper-devel

Revision 1.153  2003/07/18 20:09:26  qboosh
- up to 5.5.7-10
- updated libpath and perlpaths patches, removed obsolete dps and tmp_fix ones
- BR+R: libexif-devel

Revision 1.152  2003/07/06 23:28:35  blues
- cosmetics

Revision 1.151  2003/07/01 19:33:59  blues
- cosmetics

Revision 1.150  2003/07/01 18:25:40  misi3k
- rel 3
- added security patch (no 5)
CVE: CAN-2003-0455
BUG(sectrack):
A vulnerability was reported in ImageMagick. A local user may be able to obtain
elevated privileges on the system.

Revision 1.149  2003/06/23 18:20:45  jareq
- fixed epoch:version issue

Revision 1.148  2003/06/14 15:49:56  radzio
- updated %%{name}-perlpath.patch (fix bug no. 675 & 647)
- rel 2

Revision 1.147  2003/06/12 11:33:47  qboosh
- -devel requires just -libs

Revision 1.146  2003/05/26 16:24:18  malekith
- massive attack: adding Source-md5

Revision 1.145  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.144  2003/04/21 01:12:19  qboosh
- removed setting LDFLAGS to "-s" to remove -s from `Magick*-config --ldflags`

Revision 1.143  2003/04/20 22:30:26  qboosh
- -devel R: bzip2-devel, libltdl-devel

Revision 1.142  2003/03/17 20:36:08  wiget
- up to 5.5.6

Revision 1.141  2003/03/02 21:37:28  ankry
- 5.5.5-3

Revision 1.140  2003/03/02 21:33:49  ankry
- 5.5.5-2
- standarized src URL

Revision 1.139  2003/03/02 00:39:10  radek
- updated for perl-5.8.0; release 3

Revision 1.138  2003/02/26 13:30:33  wiget
- BR for fixed libfpx.la
- release 2

Revision 1.137  2003/02/25 09:15:31  wiget
- updated to 5.5.5

Revision 1.136  2003/02/13 22:22:55  qboosh
- fixed %%files and simplified includedir for c++

Revision 1.135  2003/02/05 13:14:49  misiek
- rebuild

Revision 1.134  2003/02/03 10:03:00  wiget
- updated to 5.5.4-2

Revision 1.133  2003/01/30 11:12:47  wiget
- updated to 5.5.4-1

Revision 1.132  2003/01/06 13:45:49  ankry
- fixed %%pver: updated to 5.5.3-2

Revision 1.131  2002/12/26 20:32:52  qboosh
- updated to 5.5.3, BR: fixed libtool

Revision 1.130  2002/12/18 02:46:52  wiget
- updated to 5.5.2-5
- removed references to removed hdf module
- mpeg module now not depend on mpeg2dec, so moved to main subpackage
- removed outdated new-jasper.patch
- added dps.patch to fix compilation with libdps from XFree86
- BR new autoconf and libtool
- BR libfpx-devel not obsoleted fpx-devel
- moved to /usr

Revision 1.129  2002/11/25 14:12:19  ankry
- massive attack: no need for 755 for *.la

Revision 1.128  2002/11/08 21:26:36  depesz
- added patch to compile with jasper >= 1.600
- release 2
- stbr

Revision 1.127  2002/11/01 17:07:17  qboosh
- fixed coders Requires

Revision 1.126  2002/11/01 14:35:27  qboosh
- removed English "es" translations
- added descriptions for coders
- use installable libltdl (system-libltdl patch, BR: libltdl-devel)

Revision 1.125  2002/10/30 15:42:04  qboosh
- fixed build with c++, separated fpx,jp2 coders, cleanup in -devel Reqs
- fpx,hdf,jasper bconds on by default

Revision 1.124  2002/10/28 17:07:45  wiget
- merge from DEVEL

Revision 1.16.4.5  2002/10/28 16:22:50  wiget
- updated to 5.5.1-4
- moved dps, hdf, jbig, jpeg, miff, mpeg, mpr, pdf, png, ps2, svg, tiff, url,
  wmf  codecs to subpackages

Revision 1.16.4.4  2002/10/22 09:04:55  wiget
- BR: automake >= 1.7

Revision 1.16.4.3  2002/10/21 16:15:16  wiget
- updated to 5.5.1-3
- removed outdated old_am.patch
- removed libpng hack
- added --without cxx bcond (Magick++ need fixes for gcc 3.2)
- build with dlopened modules support (now is possible to split this package
  into small subpackages)
TODO: Move to HEAD before cleanup and tests.

Revision 1.122  2002/09/14 09:54:46  qboosh
- removed obsolete old_am patch and some hacks from spec
- added new conjure utility
- release 2

Revision 1.121  2002/09/10 17:33:11  kloczek
- updated to 5.4.9 and merge DEVEL branch,
- updated %files.

Revision 1.16.4.2  2002/09/07 08:42:57  qboosh
- updated to 5.4.8-2

Revision 1.16.4.1  2002/07/03 20:01:36  ankry
- version 5.4.7, release 1
- BR: automake >= 1.6 (hopefully not 1.6.2 - %%patch4)
